#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>

#include "ks0108.h"
#include "font12x16.h"
#include "font6x8.h"

const char pgmString[] PROGMEM = "http://www.apeTech.de\n\nme@apetech.de";

int main(void) {
	volatile uint16_t i;
	struct font largeFont, smallFont;
	
	for(i=0; i<15000; i++);
	
	
	largeFont.width = FONT12X16_WIDTH;
	largeFont.height = FONT12X16_HEIGHT;
	largeFont.charData = Font12x16;
	
	smallFont.width = FONT6X8_WIDTH;
	smallFont.height = FONT6X8_HEIGHT;
	smallFont.charData = Font6x8;
	
	ks0108Init();
	
	// Invertiert das Display
	/*
	ks0108SetInverted(1);
	ks0108Fill(CLEAR);
	*/
	
	ks0108GotoXY(32,23);
	ks0108PutString("12:34", largeFont);
	/*
	ks0108GotoXY(0,28);
	ks0108PutStringP(pgmString, smallFont);
	*/
	// Malt ein Nikolaus-Haus :)
	
	ks0108DrawLine(0,0,127,0);			//oben
	ks0108DrawLine(0,0,0,63);			//links
	ks0108DrawLine(0,63,127,63);			//unten
	ks0108DrawLine(127,0,127,63);			//unten
	/*	
	ks0108DrawLine(60,60,60,30);			//rechts
	ks0108DrawLine(10,60,60,60);			//unten
	ks0108DrawLine(10,30,60,30);			//oben
	ks0108DrawLine(10,30,35,5);				//dach links
	ks0108DrawLine(35,5,60,30);				//dach rechts
	ks0108DrawLine(10,60,60,30);			//schrge1
	ks0108DrawLine(10,30,60,60);			//schrge2
	*/

	while(1);
}
